summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2019-06-25 18:32:03 +0000
committer Eric Hameleers <alien@slackware.com>2019-06-26 08:59:47 +0200
commitf5f87427863a4cb4c3afbc38b4d25b5c6a3bd6ed (patch)
tree6d8e63cf5a54c8845c02c70ea7457fd272ad9f7f /source
parent352adad5bf5aa22b1538fbed8d1a0983f30e4d49 (diff)
downloadcurrent-f5f87427863a4cb4c3afbc38b4d25b5c6a3bd6ed.tar.gz
current-f5f87427863a4cb4c3afbc38b4d25b5c6a3bd6ed.tar.xz
Tue Jun 25 18:32:03 UTC 201920190625183203
ap/vim-8.1.1592-x86_64-1.txz: Upgraded. l/giflib-5.2.1-x86_64-1.txz: Upgraded. x/mesa-19.1.1-x86_64-1.txz: Upgraded. xap/vim-gvim-8.1.1592-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source')
-rwxr-xr-xsource/l/giflib/giflib.SlackBuild2
-rw-r--r--source/x/mesa/glesv2.pc10
-rwxr-xr-xsource/x/mesa/mesa.SlackBuild98
3 files changed, 53 insertions, 57 deletions
diff --git a/source/l/giflib/giflib.SlackBuild b/source/l/giflib/giflib.SlackBuild
index 06c0183d6..35e179d04 100755
--- a/source/l/giflib/giflib.SlackBuild
+++ b/source/l/giflib/giflib.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=giflib
VERSION=${VERSION:-$(echo giflib-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
diff --git a/source/x/mesa/glesv2.pc b/source/x/mesa/glesv2.pc
new file mode 100644
index 000000000..7af1555b1
--- /dev/null
+++ b/source/x/mesa/glesv2.pc
@@ -0,0 +1,10 @@
+prefix=/usr
+libdir=${prefix}/lib64
+includedir=${prefix}/include
+
+Name: glesv2
+Description: Mesa OpenGL ES 2.0 library
+Version: 19.1.0
+Libs: -L${libdir} -lGLESv2
+Libs.private: -lpthread -pthread -lm -ldl
+Cflags: -I${includedir}
diff --git a/source/x/mesa/mesa.SlackBuild b/source/x/mesa/mesa.SlackBuild
index 9ce261975..eb3a2810d 100755
--- a/source/x/mesa/mesa.SlackBuild
+++ b/source/x/mesa/mesa.SlackBuild
@@ -30,9 +30,8 @@ BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
# Be sure this list is up-to-date:
-DRI_DRIVERS="i915,i965,nouveau,r200,radeon,swrast"
-GALLIUM_DRIVERS="nouveau,r300,r600,svga,radeonsi,swrast,virgl"
-EGL_PLATFORMS="drm,x11"
+DRI_DRIVERS="i915,i965,r100,r200,nouveau"
+GALLIUM_DRIVERS="nouveau,r300,r600,svga,radeonsi,swrast,virgl,swr,iris"
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -56,13 +55,9 @@ PKG=$TMP/package-mesa
if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
- # I've heard some reports as of late 2016 that Vulkan has some issues on
- # 32-bit, but we'll try it anyway and see if anything is reported:
- VULKAN=" --with-vulkan-drivers=intel,radeon "
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
- VULKAN=" --with-vulkan-drivers=intel,radeon "
else
SLKCFLAGS="-O2"
LIBDIRSUFFIX=""
@@ -97,63 +92,54 @@ if /bin/ls $CWD/patches/*.patch 1> /dev/null 2> /dev/null ; then
done
fi
-# This doesn't fully do the trick. See below. ;-)
-#./autogen.sh
-
-# Fix detection of libLLVM when built with CMake
-sed -i 's/LLVM_SO_NAME=.*/LLVM_SO_NAME=LLVM/' configure.ac
-
-# Seems to need this to avoid tripping over a different libtool version:
-autoreconf -fi
-
-CFLAGS="$SLKCFLAGS" \
-./configure \
+# Configure, build, and install:
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
--prefix=/usr \
- --sysconfdir=/etc \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
--mandir=/usr/man \
- --docdir=/usr/doc/${PKGNAM}-$VERSION \
- --enable-autotools \
- --with-dri-driverdir=/usr/lib${LIBDIRSUFFIX}/xorg/modules/dri \
- --with-dri-drivers="$DRI_DRIVERS" \
- --with-gallium-drivers="$GALLIUM_DRIVERS" \
- --with-egl-platforms="$EGL_PLATFORMS" \
- $VULKAN \
- --enable-llvm \
- --enable-llvm-shared-libs \
- --enable-egl \
- --enable-texture-float \
- --enable-shared-glapi \
- --enable-xa \
- --enable-nine \
- --enable-osmesa \
- --enable-dri \
- --enable-dri3 \
- --enable-gbm \
- --enable-glx \
- --enable-glx-tls \
- --enable-gles1 \
- --enable-gles2 \
- --enable-vdpau \
- --enable-opencl \
- --enable-opencl-icd \
- --enable-libglvnd \
- --build=$ARCH-slackware-linux || exit 1
-
-# This is autodetected anyway:
-# --enable-va \
-
-make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
-
-# Don't ship .la files:
-rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --buildtype=release \
+ -Dplatforms=x11,drm,surfaceless \
+ -Dgallium-opencl=icd \
+ -Dgallium-nine=true \
+ -Dosmesa=gallium \
+ -Ddri-drivers=$DRI_DRIVERS \
+ -Dgallium-drivers=$GALLIUM_DRIVERS \
+ -Ddri-drivers-path=/usr/lib${LIBDIRSUFFIX}/xorg/modules/dri \
+ -Dglvnd=true \
+ -Dllvm=true \
+ -Dshared-llvm=true \
+ -Dshared-glapi=true \
+ -Degl=true \
+ -Dgles1=false \
+ -Dgles2=true \
+ .. || exit 1
+ ninja || exit 1
+ DESTDIR=$PKG ninja install || exit 1
+cd ..
# Install /etc/drirc as a .new file:
if [ -r $PKG/etc/drirc ]; then
mv $PKG/etc/drirc $PKG/etc/drirc.new
fi
+# Install glesv2.pc:
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig
+cat $CWD/glesv2.pc > $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig/glesv2.pc
+if [ ! "${LIBDIRSUFFIX}" = "64" ]; then
+ sed -i "s/lib64/lib/g" $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig/glesv2.pc
+fi
+
# Now build/install a small subset of the demos:
export CWD SLKCFLAGS NUMJOBS PKG
( cd $TMP